diff --git a/res/res_agi.c b/res/res_agi.c
index f19303f4dc..601daa6ed3 100644
--- a/res/res_agi.c
+++ b/res/res_agi.c
@@ -2203,6 +2203,7 @@ static enum agi_result launch_script(struct ast_channel *chan, char *script, int
 	char tmp[256];
 	int pid, toast[2], fromast[2], audio[2], res;
 	struct stat st;
+	struct timeval start, end;
 
 	if (!strncasecmp(script, "agi://", 6)) {
 		return (efd == NULL) ? launch_netscript(script, argv, fds) : AGI_RESULT_FAILURE;
@@ -2258,6 +2259,8 @@ static enum agi_result launch_script(struct ast_channel *chan, char *script, int
 		}
 	}
 
+	start = ast_tvnow();
+
 	if ((pid = ast_safe_fork(1)) < 0) {
 		ast_log(LOG_WARNING, "Failed to fork(): %s\n", strerror(errno));
 		return AGI_RESULT_FAILURE;
@@ -2300,6 +2303,11 @@ static enum agi_result launch_script(struct ast_channel *chan, char *script, int
 		fflush(stdout);
 		_exit(1);
 	}
+
+	end = ast_tvnow();
+
+	ast_log(LOG_NOTICE, "AGI forking/executing took %" PRIi64 " milliseconds\n", ast_tvdiff_ms(end, start));
+
 	ast_verb(3, "Launched AGI Script %s\n", script);
 	fds[0] = toast[0];
 	fds[1] = fromast[1];
